ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

Disk requires firmware update but controller is not supported by the firmware patch

 
Ariel Dembling
Occasional Visitor

Disk requires firmware update but controller is not supported by the firmware patch

Hello. I have an HP ProLiant ML110 G4 server with an HP SC44Ge Host Bus Adapter card (416096-B21). According to this card's QuickSpecs, this server is supported. Also, according to the server's QuickSpecs, it supports these hard disks: HP 300GB SAS 3.5" 15K NHP (431950-B21). Everything is fine so far. But there exist several firmware updates for these disks, the latest being this one:

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?swItem=MTX-68e5c37210d8441ba732a4886d〈=en&cc=us&idx=2&mode=4&

All those firmware updates are rated as "Recommended", although they all mention that they fix a ‘not ready' condition that leads to premature disk failure. I would rate that as Critical, but anyway, the firmware update is available so that's OK, right? Not really, because none of these firmware updates support my HBA card, even though I cannot find any document that requires me to have one of those cards that the firmware update supports.

Can somebody enlighten me about this? Thanks.

 

P.S. This thread has been moved from Disk to ProLiant Servers (ML,DL,SL). -HP Forum Moderator

4 REPLIES
Sudhakar Subramaniam
Trusted Contributor

Re: Disk requires firmware update but controller is not supported by the firmware patch

Jan Soska
Honored Contributor

Re: Disk requires firmware update but controller is not supported by the firmware patch

hello Ariel,
your HBA can not be considered as full featured raid controller. Propably there is limitations in firmware update utility that reguires full smart array controller.

Do you have another server with raid controller - just temporary swap drives, update firmware, go back...

Jan
Ariel Dembling
Occasional Visitor

Re: Disk requires firmware update but controller is not supported by the firmware patch

Sudhakar, that link you provided is a firmware update for the HBA controller, and in fact I already have it applied. Instead, please note that what I'm missing is a Hard Disk firmware update for 431950-B21 disks that can be applied through that HBA controller.

Jan, of course this card is not a full-featured RAID controller, since it only supports RAID-1 and is specifically recommended for basic RAID needs. But I don't see that having a full-featured RAID controller can be a requirement for getting HP support (firmware updates, in this case) since I believe this supposed requirement doesn't figure in any support document, particularly not in the QuickSpecs nor in the firmware patch itself (the one that HP provides that works with other cards). In fact, why would I be required to use RAID at all for firmware updates? (I do use RAID-1, of course, but it is non-material to this issue in my opinion). This combination of HBA card (416096-B21) and disk (431950-B21) seems to be perfectly acceptable since both appear on the ML110 G4 QuickSpecs.

Any other ideas?
cnb
Honored Contributor

Re: Disk requires firmware update but controller is not supported by the firmware patch

Have you tried the Firmware Update DVD? The firmware file your referenced does have a P600 controller minimum version requirement but there are other formats for disk updates that don't rely on the HBA requirements.

http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?cc=us〈=en&objectID=c00305257&prodSeriesId=397642&prodTypeId=15351

http://h20000.www2.hp.com/bizsupport/site/search/r4_0/jsp/search.jsp?tx=DF300ABAAA

http://h20000.www2.hp.com/bizsupport/site/search/r4_0/jsp/search.jsp?tx=DF300A4950



Rgds,